datan

## Class StatFunct

- java.lang.Object
- - datan.StatFunct

-     public final class StatFunct
      extends java.lang.Object

  A class providing methods for computing statistical functions
  Author:
    Siegmund Brandt.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StatFunct()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static double` | `binomial(int k, int n, double p)` returns probability of the binomal distribution
    `static double` | `chiSquared(double x, int n)` returns probability density of chi squared distribution
    `static double` | `cumulativeBinomial(int k, int n, double p)` returns probability cumulative binomal distribution
    `static double` | `cumulativeChiSquared(double x, int n)` returns cumulative chi squared distribution
    `static double` | `cumulativeFDistribution(double x, int f1, int f2)` returns cumulative F distribution
    `static double` | `cumulativeHypergeometric(int k, int n, int kk, int nn)` returns cumulative hypergeometric distribution
    `static double` | `cumulativeNormal(double x, double x0, double sigma)` returns cumulative normal distribution
    `static double` | `cumulativePoisson(int k, double lambda)` returns cumulative Poisson distribution
    `static double` | `cumulativeStandardNormal(double x)` returns cumulative standard normal distribution
    `static double` | `cumulativeStudent(double x, int n)` returns cumulative Student's distribution
    `static double` | `fDistribution(double x, int f1, int f2)` returns probability density of F distribution
    `static double` | `hypergeometric(int k, int n, int kk, int nn)` returns probability of the hypergeometric distribution
    `static double` | `normal(double x, double x0, double sigma)` returns probability density of normal distribution
    `static double` | `poisson(int k, double lambda)` returns probability of the Poisson distribution
    `static double` | `quantileChiSquared(double p, int n)` returns quantile of chi squared distribution
    `static double` | `quantileFDistribution(double p, int nf1, int nf2)` returns quantile of F distribution
    `static double` | `quantileNormal(double p, double x0, double sigma)` returns quantile of normal distribution
    `static double` | `quantilePoisson(int k, double p)` returns quantile of Poisson distribution
    `static double` | `quantileStandardNormal(double p)` returns quantile of standard normal distribution
    `static double` | `quantileStudent(double p, int n)` returns quantile of Student's distribution
    `static double` | `standardNormal(double x)` returns probability density of standard normal distribution
    `static double` | `student(double x, int n)` returns probability density of Student's distribution

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StatFunct

          public StatFunct()

  - ### Method Detail

    - #### binomial

          public static double binomial(int k,
                        int n,
                        double p)

      returns probability of the binomal distribution

    - #### cumulativeBinomial

          public static double cumulativeBinomial(int k,
                                  int n,
                                  double p)

      returns probability cumulative binomal distribution

    - #### hypergeometric

          public static double hypergeometric(int k,
                              int n,
                              int kk,
                              int nn)

      returns probability of the hypergeometric distribution

    - #### cumulativeHypergeometric

          public static double cumulativeHypergeometric(int k,
                                        int n,
                                        int kk,
                                        int nn)

      returns cumulative hypergeometric distribution

    - #### poisson

          public static double poisson(int k,
                       double lambda)

      returns probability of the Poisson distribution

    - #### cumulativePoisson

          public static double cumulativePoisson(int k,
                                 double lambda)

      returns cumulative Poisson distribution

    - #### quantilePoisson

          public static double quantilePoisson(int k,
                               double p)

      returns quantile of Poisson distribution

    - #### standardNormal

          public static double standardNormal(double x)

      returns probability density of standard normal distribution

    - #### normal

          public static double normal(double x,
                      double x0,
                      double sigma)

      returns probability density of normal distribution

    - #### cumulativeStandardNormal

          public static double cumulativeStandardNormal(double x)

      returns cumulative standard normal distribution

    - #### cumulativeNormal

          public static double cumulativeNormal(double x,
                                double x0,
                                double sigma)

      returns cumulative normal distribution

    - #### quantileStandardNormal

          public static double quantileStandardNormal(double p)

      returns quantile of standard normal distribution

    - #### quantileNormal

          public static double quantileNormal(double p,
                              double x0,
                              double sigma)

      returns quantile of normal distribution

    - #### chiSquared

          public static double chiSquared(double x,
                          int n)

      returns probability density of chi squared distribution

    - #### cumulativeChiSquared

          public static double cumulativeChiSquared(double x,
                                    int n)

      returns cumulative chi squared distribution

    - #### quantileChiSquared

          public static double quantileChiSquared(double p,
                                  int n)

      returns quantile of chi squared distribution

    - #### fDistribution

          public static double fDistribution(double x,
                             int f1,
                             int f2)

      returns probability density of F distribution

    - #### cumulativeFDistribution

          public static double cumulativeFDistribution(double x,
                                       int f1,
                                       int f2)

      returns cumulative F distribution

    - #### quantileFDistribution

          public static double quantileFDistribution(double p,
                                     int nf1,
                                     int nf2)

      returns quantile of F distribution

    - #### student

          public static double student(double x,
                       int n)

      returns probability density of Student's distribution

    - #### cumulativeStudent

          public static double cumulativeStudent(double x,
                                 int n)

      returns cumulative Student's distribution

    - #### quantileStudent

          public static double quantileStudent(double p,
                               int n)

      returns quantile of Student's distribution